Subject: bug#37757: closed (Re: bug#37757: Kernel panic upon shutdown)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Dec 2019 23:14:03 +0000

Your bug report

#37757: shepherd segfaults upon shutdown (kernel panic)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37757: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37757
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37757: Kernel panic upon shutdown
From: Ludovic Courtès <[email-masked]>
To: Jesse Gibbons <[email-masked]>
Cc: Arne Babenhauserheide <[email-masked]>, Jan <[email-masked]>, [email-masked]
Date: Tue, 10 Dec 2019 00:13:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> skribis:

> My plan is to:
>
>   1. push the patch below to the ‘stable-2.2’ branch of Guile;
>      done:
>      <https://git.savannah.gnu.org/cgit/guile.git/commit/?h=stable-2.2&id=edf5aea7ac852db2356ef36cba4a119eb0c81ea9>;
>
>   2. use a patched Guile for the ‘shepherd’ package;

Done:
<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=24ba2cee2b1671c5dae36bb4cdba139f1fd09023>.

>   3. include the crash handler in the Shepherd.

Done:
<https://git.savannah.gnu.org/cgit/shepherd.git/commit/?id=dfb7c7ecdb2d12061073e6939ec6e765ae59c00c>.

I’m closing the bug.  Please reopen it if you notice anything wrong!

Ludo’.

Subject: kernel panic
From: Jesse Gibbons <[email-masked]>
To: bug-guix mailing list <[email-masked]>
Date: Mon, 14 Oct 2019 21:49:32 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Attached is a picture of the kernel panic. It happened when I tried to shut
down.
I do not know what log to look at to get any details about what happened
about that time. Of course, the panic itself is not in any of the logs in
/var/log.
This is not the first time there was a kernel panic during the shutdown
process.